libcamera v0.3.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Public Member Functions | List of all members
libcamera::ControlId Class Reference

Control static metadata. More...

Inheritance diagram for libcamera::ControlId:
[legend]

## Public Member Functions
| ControlId (unsigned int id, const std::string &name, ControlType type)
| Construct a ControlId instance.
unsigned int | id () const
| Retrieve the control numerical ID.
const std::string & | name () const
| Retrieve the control name.
ControlType | type () const
| Retrieve the control data type.

## Detailed Description

Control static metadata.

The ControlId class stores a control ID, name and data type. It provides unique identification of a control, but without support for compile-time type deduction that the derived template Control class supports. See the Control class for more information.

## Constructor & Destructor Documentation

## ◆ ControlId()

libcamera::ControlId::ControlId | ( | unsigned int | id,
|  | const std::string & | name,
|  | ControlType | type )
| inline

Construct a ControlId instance.

Parameters

  [in] | id | The control numerical ID
  [in] | name | The control name
  [in] | type | The control data type

## Member Function Documentation

## ◆ id()

unsigned int libcamera::ControlId::id | ( |  | ) | const
| inline

Retrieve the control numerical ID.

Returns
  The control numerical ID

## ◆ name()

const std::string & libcamera::ControlId::name | ( |  | ) | const
| inline

Retrieve the control name.

Returns
  The control name

## ◆ type()

ControlType libcamera::ControlId::type | ( |  | ) | const
| inline

Retrieve the control data type.

Returns
  The control data type

The documentation for this class was generated from the following files:

- include/libcamera/controls.h
- src/libcamera/controls.cpp